> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test-send a campaign



## OpenAPI

````yaml /openapi.json post /campaigns/{id}/test_send
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /campaigns/{id}/test_send:
    post:
      tags:
        - Campaigns
      summary: Test-send a campaign
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the campaign to test-send
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                customer:
                  type: string
                  nullable: true
                  description: The ID of the customer to test-send the campaign to
                to_email_address:
                  type: string
                  nullable: true
                  description: The email address to test-send the campaign to
                to_phone_number:
                  type: string
                  nullable: true
                  description: The phone number to test-send the campaign to
                variables:
                  type: object
                  additionalProperties: true
                  nullable: true
                  description: The variables to test-send the campaign with
                email_address:
                  type: string
                  description: >-
                    The ID of the email address to use as the sending address
                    (overrides the campaign's configured email address)
                phone_number:
                  type: string
                  description: >-
                    The ID of the phone number to use as the sending phone
                    number (overrides the campaign's configured phone number)
                step_ids:
                  type: array
                  items:
                    type: string
                  nullable: true
                  description: >-
                    The IDs of the steps to test-send (if omitted, all steps are
                    sent)
      responses:
        '200':
          description: Whether the test-send was successful
          content:
            application/json:
              schema:
                type: object
                properties: {}
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````